/* General Text Styling */
body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f9;
    margin: 0;
    padding: 0;
    color: #333; /* Warna teks default */
}

/* Navbar Styling */
.navbar {
    background-color: #343a40;
}

.navbar .navbar-brand {
    color: #144ad3 !important; /* Warna kuning emas untuk nama situs */
    font-size: 1.5em; /* Ukuran lebih besar untuk menonjol */
    font-weight: bold; /* Tebal untuk penekanan */
}

.navbar .form-inline .form-control {
    margin-right: 10px;
}



.navbar .btn-outline-success:hover {
    
    color: #040404;
}

.navbar .btn-primary {
    background-color: #007bff;
    border-color: #007bff;
}

.navbar .btn-primary:hover {
    background-color: #0056b3;
    border-color: #004085;
}

/* Card Item Styling */
.card-item {
    margin-bottom: 20px;
}

.card {
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s;
}

.card:hover {
    transform: scale(1.05);
}

.card-body {
    text-align: center;
}

.card-title {
    font-size: 1.25em;
    margin-bottom: 10px;
    color: #007bff; /* Warna biru untuk nama produk */
}

.card-title:hover {
    color: #0056b3; /* Warna biru lebih gelap saat di-hover */
    text-decoration: underline; /* Garis bawah untuk efek hover */
}

.card-text {
    color: #6c757d; /* Warna abu-abu lembut untuk deskripsi produk */
}

/* Price Text Styling */
.card-text.price {
    font-size: 1.2em;
    font-weight: bold;
    color: #28a745; /* Warna hijau untuk harga produk */
}

.card .btn-primary {
    background-color: #007bff;
    border-color: #007bff;
}

.card .btn-primary:hover {
    background-color: #0056b3;
    border-color: #004085;
}

/* Badge Styling */
#cart .badge {
    background-color: #ffc107;
    color: #343a40;
}

.container {
    margin-top: 30px;
}

/* Mobile Responsive Adjustments */
@media (max-width: 576px) {
    .card-item {
        margin: 0 auto 20px;
        max-width: 90%;
    }
}
